Skip to navigation

Added

  • Api Tokens → Retrieve an API token: Endpoint is now available, which allows to retrieve an API token by its identifier, without exposing its secret value.

  • Api Tokens → Invalidate an API token: Endpoint is now available, which allows to invalidate an API token that should no longer be used.

  • Api Tokens → List API tokens: Endpoint is now available, which allows to list your organization’s tokens and your own personal tokens, newest first, without their secret values.

Changed

  • Ats → Retrieve the ATS activity timeline: Added CANDIDATE_FOLLOW_UP_REMINDER as a valid value for category in the response and the categories query parameter, and added CANDIDATE_FOLLOW_UP_REMINDER_CREATED, CANDIDATE_FOLLOW_UP_REMINDER_UPDATED, CANDIDATE_FOLLOW_UP_REMINDER_COMPLETED, and CANDIDATE_FOLLOW_UP_REMINDER_DELETED as valid values for operation_type in the response.

  • Eor → Get amendment data points configuration by country: Added HOURLY_RATE as a valid value for item in the response.

  • Eor Amendments → Validate amendment data points: Added scope and job_title as declared fields in the request body data object.

  • People → Create a direct employee: Added invitation in the request that controls whether to send an invitation email to the new hire.

  • Onboarding → List onboarding employees: Added banners to the response (data[].overview) that lists all banners for the onboarding; added HS_OBLIGATIONS_PENDING as a valid value for overview.banner.key; added SET_UP_HEALTH_SAFETY as a valid value for overview.banner.action.

  • Onboarding → Get onboarding details by employee HRIS profile ID: Added banners array in the response that lists all pending banners for the worker; added HS_OBLIGATIONS_PENDING as a valid value for banner.key; added SET_UP_HEALTH_SAFETY as a valid value for banner.action.

  • Onboarding → Get onboarding details by onboarding tracker ID: Added banners array in the response that lists all client-action banners; added HS_OBLIGATIONS_PENDING as a valid value for banner.key and SET_UP_HEALTH_SAFETY as a valid value for banner.action.

  • It Assets → List IT assets: Added USED_AS_SPARE_PART as a valid value for status in the response.

  • Time Off → Get Policies for Organization: Added Work away from office as a valid value for policy_type in the request.

  • Time Off → List policies: Added Work away from office as a valid value for policy_type_name in the request.

  • Time Off → Get Profile Entitlements: Added Work away from office as a valid value for policy_type_name in the request.

  • Time Off → Process time-off requests from an external HRIS: Added Work away from office as a valid value for policy_type in the request.

  • Time Off → List time-off requests for Organization: Added Work away from office as a valid value for policy_type_names in the request.

  • Time Off → List time-off requests: Added Work away from office as a valid value for policy_type_names in the request.

  • Invoice Adjustments → Retrieve invoice adjustment by ID: Added new as a valid value for status in the response, and gp_client_agreement as a valid value for contract.type in the response.

  • Invoice Adjustments → List invoice adjustments: Added download_url to the response attachment object that provides a time-limited URL to download the attachment; added new as a valid value for status in the response and statuses query parameter; added gp_client_agreement as a valid value for contract.type in the response.